<?php
include_once '../includes/db_connection.php';
include_once '../includes/session_management.php';
include_once '../includes/sanitize.php';

// Admin kontrolü
if (!isAdmin()) {
    header('Location: ../public/login.php');
    exit;
}

// Kullanıcıları Listeleme
function listUsers() {
    $conn = getDbConnection();
    $sql = "SELECT user_id, username, email, balance FROM users";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        echo "<h2>Kullanıcılar</h2>";
        while ($row = $result->fetch_assoc()) {
            echo "<div class='user-item'>";
            echo "<p><strong>Kullanıcı Adı: </strong>" . htmlspecialchars($row['username']) . "</p>";
            echo "<p><strong>Email: </strong>" . htmlspecialchars($row['email']) . "</p>";
            echo "<p><strong>Bakiye: </strong>" . htmlspecialchars($row['balance']) . " TL</p>";
            echo "<form method='POST' action='edit_user.php'>";
            echo "<input type='hidden' name='user_id' value='" . $row['user_id'] . "'>";
            echo "<button type='submit'>Düzenle</button>";
            echo "</form>";
            echo "<form method='POST' action='user_management.php?action=delete_user' onsubmit='return confirm(\"Kullanıcıyı silmek istediğinize emin misiniz?\");'>";
            echo "<input type='hidden' name='user_id' value='" . $row['user_id'] . "'>";
            echo "<button type='submit'>Sil</button>";
            echo "</form>";
            echo "</div><hr>";
        }
    } else {
        echo "<p>Hiçbir kullanıcı bulunamadı.</p>";
    }
    $conn->close();
}

// Kullanıcı Silme
if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_GET['action']) && $_GET['action'] == 'delete_user') {
    $user_id = sanitizeInput($_POST['user_id']);
    $conn = getDbConnection();
    $sql = "DELETE FROM users WHERE user_id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $user_id);

    if ($stmt->execute()) {
        echo "<p>Kullanıcı başarıyla silindi.</p>";
    } else {
        echo "<p>Hata: Kullanıcı silinemedi.</p>";
    }

    $stmt->close();
    $conn->close();
}

listUsers();
?>
