<?php
include_once '../includes/db_connection.php';
include_once '../includes/sanitize.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $username = sanitizeInput($_POST['username']);
    $email = sanitizeInput($_POST['email']);
    $password = password_hash(sanitizeInput($_POST['password']), PASSWORD_BCRYPT);

    $conn = getDbConnection();
    $sql = "INSERT INTO users (username, email, password, balance) VALUES (?, ?, ?, 0)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("sss", $username, $email, $password);

    if ($stmt->execute()) {
        echo json_encode(["status" => "success", "message" => "Kayıt başarıyla tamamlandı."], JSON_UNESCAPED_UNICODE);
    } else {
        echo json_encode(["status" => "error", "message" => "Kayıt işlemi başarısız."], JSON_UNESCAPED_UNICODE);
    }

    $stmt->close();
    $conn->close();
}
?>
