<?php
include_once '../includes/session_management.php';
include_once '../includes/db_connection.php';
if (!isLoggedIn()) {
    header('Location: login.php');
    exit;
}

$conn = getDbConnection();
// Kategorileri ve ürünleri al
$sql = "SELECT categories.category_id, categories.name AS category_name, products.product_id, products.name AS product_name, products.price 
        FROM categories 
        LEFT JOIN products ON categories.category_id = products.category_id 
        ORDER BY categories.category_id";
$result = $conn->query($sql);

if (!$result) {
    die("Sorgu hatası: " . $conn->error);
}

$categories = [];
while ($row = $result->fetch_assoc()) {
    $categories[$row['category_id']]['name'] = $row['category_name'];
    if (!empty($row['product_id'])) {
        $categories[$row['category_id']]['products'][] = [
            'product_id' => $row['product_id'],
            'product_name' => $row['product_name'],
            'price' => $row['price']
        ];
    }
}
$conn->close();
?>

<!DOCTYPE html>
<html lang="tr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Sipariş Ver</title>
    <link rel="stylesheet" href="../styles/styles.css">
</head>
<body>
    <h2>Sipariş Sayfası</h2>
    <?php foreach ($categories as $category): ?>
        <h3><?php echo htmlspecialchars($category['name']); ?></h3>
        <?php if (isset($category['products'])): ?>
            <ul>
                <?php foreach ($category['products'] as $product): ?>
                    <li>
                        <?php echo htmlspecialchars($product['product_name']); ?> - <?php echo htmlspecialchars($product['price']); ?> TL
                        <form method="POST" action="../api/cart_api.php?action=add_to_cart">
                            <input type="hidden" name="product_id" value="<?php echo $product['product_id']; ?>">
                            <button type="submit">Sepete Ekle</button>
                        </form>
                    </li>
                <?php endforeach; ?>
            </ul>
        <?php else: ?>
            <p>Bu kategoride ürün bulunmamaktadır.</p>
        <?php endif; ?>
    <?php endforeach; ?>

    <form method="POST" action="../api/order_api.php?action=create_order">
        <button type="submit">Sipariş Ver</button>
    </form>
</body>
</html>
